/*===============================================================================
Copyright (c) 2015-2016 PTC Inc. All Rights Reserved.

Copyright (c) 2014 Qualcomm Connected Experiences, Inc. All Rights Reserved.

Vuforia is a trademark of PTC Inc., registered in the United States and other 
countries.

@file 
    Surface.h

@brief
    Header file for Surface class.
===============================================================================*/
#ifndef _VUFORIA_SURFACERESULT_H_
#define _VUFORIA_SURFACERESULT_H_

// Include files
#include <Vuforia/TrackableResult.h>
#include <Vuforia/Surface.h>

namespace Vuforia
{

/// Result for a Surface generated by the SmartTerrainTracker.
class VUFORIA_API SurfaceResult : public TrackableResult
{
public:

    /// Returns the TrackableResult class' type
    static Type getClassType();

    /// Returns the corresponding Trackable that this result represents
    virtual const Surface& getTrackable() const = 0;

};

} // namespace Vuforia

#endif //_VUFORIA_SURFACERESULT_H_
